import { Color } from "../utils/color";
declare const _default: import("vue").DefineComponent<{
    startColor: import("vue-types").VueTypeDef<Color> & {
        required: true;
    };
    endColor: import("vue-types").VueTypeDef<Color> & {
        required: true;
    };
    startColorStop: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    endColorStop: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    angle: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    disableHistory: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    roundHistory: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    disableAlpha: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}, {
    startGradientRef: import("vue").Ref<HTMLElement | undefined>;
    stopGradientRef: import("vue").Ref<HTMLElement | undefined>;
    colorRangeRef: import("vue").Ref<HTMLElement | undefined>;
    state: {
        startActive: boolean;
        startColor: {
            toString: (format?: import("../utils/color").ColorFormat | undefined) => string;
            toHexString: () => string;
            toRgbString: () => string;
            hex: string;
            hue: number;
            saturation: number;
            brightness: number;
            lightness: number;
            red: number;
            green: number;
            blue: number;
            alpha: number;
            readonly RGB: number[];
            readonly HSB: number[];
            readonly HSL: number[];
        };
        endColor: {
            toString: (format?: import("../utils/color").ColorFormat | undefined) => string;
            toHexString: () => string;
            toRgbString: () => string;
            hex: string;
            hue: number;
            saturation: number;
            brightness: number;
            lightness: number;
            red: number;
            green: number;
            blue: number;
            alpha: number;
            readonly RGB: number[];
            readonly HSB: number[];
            readonly HSL: number[];
        };
        startColorStop: number;
        endColorStop: number;
        angle: number;
        startColorRgba: string;
        endColorRgba: string;
    };
    currentColor: import("vue").WritableComputedRef<{
        toString: (format?: import("../utils/color").ColorFormat | undefined) => string;
        toHexString: () => string;
        toRgbString: () => string;
        hex: string;
        hue: number;
        saturation: number;
        brightness: number;
        lightness: number;
        red: number;
        green: number;
        blue: number;
        alpha: number;
        readonly RGB: number[];
        readonly HSB: number[];
        readonly HSL: number[];
    }>;
    getStartColorLeft: import("vue").ComputedRef<number>;
    getEndColorLeft: import("vue").ComputedRef<number>;
    gradientBg: import("vue").ComputedRef<{
        background: string;
    }>;
    advancePanelShow: import("vue").Ref<boolean>;
    onDegreeBlur: (evt: FocusEvent) => void;
    onCompactChange: (color: string) => void;
    onAlphaChange: (alpha: number) => void;
    onHueChange: (hue: number) => void;
    onBoardChange: (saturation: number, brightness: number) => void;
    onLightChange: (light: number) => void;
    historyColors: import("@vueuse/shared").RemovableRef<string[]>;
    onBack: () => void;
    onDegreeChange: (angle: number) => void;
    onDisplayChange: () => void;
    lang: import("vue").ComputedRef<import("../utils/type").SupportLang> | undefined;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("advanceChange" | "update:angle" | "update:startColor" | "update:endColor" | "update:startColorStop" | "update:endColorStop" | "startColorChange" | "endColorChange" | "angleChange" | "startColorStopChange" | "endColorStopChange")[], "advanceChange" | "update:angle" | "update:startColor" | "update:endColor" | "update:startColorStop" | "update:endColorStop" | "startColorChange" | "endColorChange" | "angleChange" | "startColorStopChange" | "endColorStopChange", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    startColor: import("vue-types").VueTypeDef<Color> & {
        required: true;
    };
    endColor: import("vue-types").VueTypeDef<Color> & {
        required: true;
    };
    startColorStop: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    endColorStop: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    angle: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    disableHistory: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    roundHistory: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    disableAlpha: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}>> & {
    onAdvanceChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:angle"?: ((...args: any[]) => any) | undefined;
    "onUpdate:startColor"?: ((...args: any[]) => any) | undefined;
    "onUpdate:endColor"?: ((...args: any[]) => any) | undefined;
    "onUpdate:startColorStop"?: ((...args: any[]) => any) | undefined;
    "onUpdate:endColorStop"?: ((...args: any[]) => any) | undefined;
    onStartColorChange?: ((...args: any[]) => any) | undefined;
    onEndColorChange?: ((...args: any[]) => any) | undefined;
    onAngleChange?: ((...args: any[]) => any) | undefined;
    onStartColorStopChange?: ((...args: any[]) => any) | undefined;
    onEndColorStopChange?: ((...args: any[]) => any) | undefined;
}, {
    disableAlpha: boolean;
    disableHistory: boolean;
    roundHistory: boolean;
    angle: number;
    startColorStop: number;
    endColorStop: number;
}>;
export default _default;
